Skip to content

Analyze text

Request

The method analyzes the input and detects problematic content, sentiment snippets, entities, topics, phrase structure, parts of speech, stopwords, and more.

Security
Tisane-API-Key
Headers
Content-Typestring
Example:application/json
Bodyapplication/jsonrequired
languagestringrequired
contentstringrequired
settingsobject
POST
/parse
curl -i -X POST \
  https://api.tisane.ai/parse \
  -H 'Content-Type: application/json' \
  -H 'Ocp-Apim-Subscription-Key: YOUR_API_KEY_HERE' \
  -d '{
    "language": "en",
    "content": "Hello Tisane API!!"
  }'

Responses

Successful response

Bodyapplication/json
textstringrequired

Input text.

languagestring

Language code, when the language identification is used.

memoryobject(Memory)

The state after the analysis. Can be used to set the state of the future analyses. (Set state to true to show.)

topicsArray of any
abuseArray of objects
sentence_listArray of objects
entities_summaryArray of objects
sentiment_expressionsArray of objects
Response
{ "text": "Hello Tisane API!", "entities_summary": [ {} ] }